curl --request POST \
--url 'https://api.stateset.com/api/v1/backorders/{id}/fulfill' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"fulfilled_by": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"quantity": "string",
"source_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source_type": "string"
}'
{
"backorder_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity_fulfilled": "string",
"quantity_ordered": "string",
"quantity_remaining": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
Fulfill a backorder
Fulfill a backorder
POST
/
api
/
v1
/
backorders
/
{id}
/
fulfill
curl --request POST \
--url 'https://api.stateset.com/api/v1/backorders/{id}/fulfill' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"fulfilled_by": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"quantity": "string",
"source_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source_type": "string"
}'
{
"backorder_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity_fulfilled": "string",
"quantity_ordered": "string",
"quantity_remaining": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
Path parameters
string
required
Backorder ID
Request body
FulfillBackorderRequest
string,null
string,null
string
required
Decimal quantity as a string.
string,null
string,null
One of
inventory, purchase_order, transfer, production.Response
BackorderResponse
string
required
string
required
string
required
string,null
string
required
string
required
string
required
string,null
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
409 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/backorders/{id}/fulfill' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"fulfilled_by": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"quantity": "string",
"source_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source_type": "string"
}'
{
"backorder_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"expected_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"priority": "string",
"promised_date": "2026-08-31T14:22:05Z",
"quantity_fulfilled": "string",
"quantity_ordered": "string",
"quantity_remaining": "string",
"sku": "SKU-TENT-2P-GRN",
"status": "pending"
}
Last modified on August 31, 2026